Bug 254019 - Review Request: rubygem-daemons - A toolkit to create and control ruby daemons
Review Request: rubygem-daemons - A toolkit to create and control ruby daemons
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
Depends On:
Blocks: 254015
  Show dependency treegraph
Reported: 2007-08-23 13:21 EDT by Scott Seago
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-31 23:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Scott Seago 2007-08-23 13:21:40 EDT
Spec URL: http://people.redhat.com/sseago/fedora/spec/rubygem-daemons.spec
SRPM URL: http://people.redhat.com/sseago/fedora/SRPMS/rubygem-daemons-1.0.7-1.fc7.src.rpm
Daemons provides an easy way to wrap existing ruby scripts (for example a
self-written server)  to be run as a daemon and to be controlled by simple
start/stop/restart commands.  You can also call blocks as daemons and control
them from the parent or just daemonize the current process.  Besides this
basic functionality, daemons offers many advanced features like exception 
backtracing and logging (in case your ruby script crashes) and monitoring and
automatic restarting of your processes if they crash.
Comment 1 David Lutterkort 2007-08-23 21:27:42 EDT
OK - Package name
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - BuildRoot value (one of the recommended values)
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 (mock)
OK - BuildRequires sufficient
OK - File permissions set properly
OK - Macro usage is consistent
OK - rpmlint is silent

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

FIX - Mark the LICENSE file as %doc

FIX - License info is not accurate
    The license seems to be BSD, but not quite. Needs to be clarified
Comment 2 David Lutterkort 2007-08-23 21:31:54 EDT
Contrary to what I said above, rpmlint is not silent:

E: rubygem-daemons non-executable-script
/usr/lib/ruby/gems/1.8/gems/daemons-1.0.7/examples/run/myserver.rb 0644

Since it's just an example, nothing to worry about.
Comment 3 David Lutterkort 2007-08-23 22:00:47 EDT
Actually, the license for most of the code is MIT; for daemonize.rb it's (GPLv2+
or Ruby) ... the overall license tag therefore is 'MIT and (GPLv2+ or Ruby)' and
daemonize.rb's license should be pointed out according to

Comment 4 Scott Seago 2007-08-24 13:58:13 EDT
License and spec issues sorted out, SRPM is:
Comment 5 David Lutterkort 2007-08-27 14:39:49 EDT


Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 6 Scott Seago 2007-08-27 17:36:17 EDT
New Package CVS Request
Package Name: rubygem-daemons
Short Description: A toolkit to create and control ruby daemons
Owners: sseago
Branches: F-7, EL-5
Cvsextras Commits: No
Comment 7 Kevin Fenzi 2007-08-28 00:41:42 EDT
cvs done.
Comment 8 Jeroen van Meeuwen 2008-10-16 19:02:05 EDT
Package Change Request
Package Name: rubygem-daemons
New Branches: EL-4
Owners: sseago, kanarip

Approved by sseago in private email
Comment 9 Kevin Fenzi 2008-10-19 19:03:27 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.